flutterannotations_generator 1.0.2
flutterannotations_generator: ^1.0.2 copied to clipboard

Dart native js
Flutter Android iOS web

Fast Flutter Development. Easy maintenance. Automatically generate code for converting to and from your abstract class by annotating Dart classes.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  flutterannotations_generator: ^1.0.2

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:flutterannotations_generator/flutterannotations_generator.dart';
0
likes
90
pub points
0%
popularity

Fast Flutter Development. Easy maintenance. Automatically generate code for converting to and from your abstract class by annotating Dart classes.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

luleo0702@gmail.com

License

BSD (LICENSE)

Dependencies

analyzer, build, build_config, flutterannotations, mustache4dart, source_gen

More

Packages that depend on flutterannotations_generator